<?php

/* Reminder: always indent with 4 spaces (no tabs). */
// +---------------------------------------------------------------------------+
// | hello 1.0.0                                                          |
// +---------------------------------------------------------------------------+
// | send_hello_cron.php                                                                 |
// |                                                                           |
// | Geeklog hello send page                                          |
// +---------------------------------------------------------------------------+
// | Copyright (C) 2000-2008 by the following authors:                         |
// |                                                                           |
// | Authors: :Ben                                                         |
// +---------------------------------------------------------------------------+
// |                                                                           |
// | This program is free software; you can redistribute it and/or             |
// | modify it under the terms of the GNU General Public License               |
// | as published by the Free Software Foundation; either version 2            |
// | of the License, or (at your option) any later version.                    |
// |                                                                           |
// | This program is distributed in the hope that it will be useful,           |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
// | GNU General Public License for more details.                              |
// |                                                                           |
// | You should have received a copy of the GNU General Public License         |
// | along with this program; if not, write to the Free Software Foundation,   |
// | Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.           |
// |                                                                           |
// +---------------------------------------------------------------------------+
//

require_once '../../../lib-common.php';
require_once '../../auth.inc.php';


if (!SEC_hasRights ('hello.edit')) {
    $display .= COM_siteHeader ('menu', $MESSAGE[30]);
    $display .= COM_startBlock ($MESSAGE[30], '',
                                COM_getBlockTemplate ('_msg_block', 'header'));
    $display .= $MESSAGE[36];
    $display .= COM_endBlock (COM_getBlockTemplate ('_msg_block', 'footer'));
    $display .= COM_siteFooter ();
    COM_accessLog ("User {$_USER['username']} tried to illegally access the hello administration screen.");
   
   // Options
	$html_infos['what'] = 'menu'; // If 'none' then no left blocks are returned, if 'menu' (default) then right blocks are returned
	$html_infos['pagetitle'] = $MESSAGE[30]; // Optional content for the page's <title>
	$html_infos['breadcrumbs'] = ''; // Optional content for the page's breadcrumb
	$html_infos['headercode'] = '';  // Optional code to go into the page's <head>
	$html_infos['rightblock'] = ''; // Whether or not to show blocks on right hand side default is no (-1)
	$html_infos['custom'] = array(); // An array defining custom function to be used to format Rightblocks

	//Output
	COM_output(COM_createHTMLDocument($display, $html_infos));
    exit;
}

function count_hello () {

    global $_CONF, $_TABLES, $_USER, $LANG_HELLO01, $_HE_CONF;
    
    $hellos = DB_count($_TABLES['hello_queue'],'1','1');
    $retval = '<p>' . $hellos . ' ' . $LANG_HELLO01['email_schedule'] .'</p>';
    if ($hellos > 0) $retval .= '<p><a href="' . $_CONF['site_admin_url'] . '/plugins/hello/manual.php?action=go">' . $LANG_HELLO01['send_next'] . '</a> ' . $_HE_CONF['max_email'] . ' ' . $LANG_HELLO01['max'] . '</p>';  
    
    return $retval;
}

// MAIN
$action = '';
if (isset($_REQUEST['action'])) {
    $action = $_REQUEST['action'];
}

$display .= hello_admin_menu();

if($action=='go') {
    $display .= send_hello (true);
} else {
    $display .= count_hello ();
}

// Options
$html_infos['what'] = 'menu'; // If 'none' then no left blocks are returned, if 'menu' (default) then right blocks are returned
$html_infos['pagetitle'] = 'Hello plugin'; // Optional content for the page's <title>
$html_infos['breadcrumbs'] = ''; // Optional content for the page's breadcrumb
$html_infos['headercode'] = '';  // Optional code to go into the page's <head>
$html_infos['rightblock'] = ''; // Whether or not to show blocks on right hand side default is no (-1)
$html_infos['custom'] = array(); // An array defining custom function to be used to format Rightblocks

//Output
COM_output(COM_createHTMLDocument($display, $html_infos));


?>
